"use strict";
/*
 * Copyright (c) 2023 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
const server_1 = require("./mocks/server");
describe('APIs', () => {
    beforeAll(() => server_1.server.listen({ onUnhandledRequest: 'error' }));
    afterEach(() => server_1.server.resetHandlers());
    afterAll(() => server_1.server.close());
    require('./eclipsefdn.adopters.test');
    require('./eclipsefdn.media-link.test');
    require('./eclipsefdn.newsroom.test');
    require('./eclipsefdn.projects.test');
});
