"use strict";
/*
 * Copyright (c) 2023 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.server = void 0;
const node_1 = require("msw/node");
const handlers_1 = __importDefault(require("./adopters/handlers"));
const handlers_2 = __importDefault(require("./media-link/handlers"));
const handlers_3 = __importDefault(require("./newsroom/handlers"));
const handlers_4 = __importDefault(require("./projects/handlers"));
exports.server = (0, node_1.setupServer)(...handlers_1.default, ...handlers_2.default, ...handlers_3.default, ...handlers_4.default);
