"use strict";
/*!
 * Copyright (c) 2018 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Christopher Guindon <chris.guindon@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jquery_1 = __importDefault(require("jquery"));
require("jquery-match-height");
const eclipseFdnMatchHeight = (function ($, document) {
    const matchHeightItems = () => {
        $('.match-height-item-by-row').matchHeight();
        $('.match-height-item').matchHeight({
            byRow: false
        });
    };
    $(window).on("load", function () {
        // run matchheight after images are loaded
        matchHeightItems();
    });
    $("body").on("shown.ef.news", function (e) {
        matchHeightItems();
        // For news with data-mh
        $.fn.matchHeight._applyDataApi();
    });
})(jquery_1.default, document);
exports.default = eclipseFdnMatchHeight;
