"use strict";
/*!
 * Copyright (c) 2018, 2023 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Christopher Guindon <chris.guindon@eclipse-foundation.org>
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
require("./eclipsefdn.block-summary-item");
require("./eclipsefdn.featured-stories");
require("./eclipsefdn.solstice");
require("./eclipsefdn.match-height");
require("./eclipsefdn.members-detail");
require("./eclipsefdn.scrollup");
require("./eclipsefdn.solstice-rss-blog-list");
require("./eclipsefdn.solstice-slider");
require("./eclipsefdn.time-conversion");
require("./eclipsefdn.wgs-list.js");
require("./eclipsefdn.newsroom-resources.js");
require("./eclipsefdn.newsroom-news-tags.js");
require("./eclipsefdn.adopters.js");
require("./eclipsefdn.sidebar.js");
const eclipsefdn_members_list_1 = __importDefault(require("./eclipsefdn.members-list"));
const eclipsefdn_newsroom_resources_1 = __importDefault(require("./eclipsefdn.newsroom-resources"));
const eclipsefdn_participating_organizations_js_1 = __importDefault(require("./eclipsefdn.participating-organizations.js"));
const eclipsefdn_projects_js_1 = __importDefault(require("./eclipsefdn.projects.js"));
const eclipsefdn_video_list_js_1 = __importDefault(require("./eclipsefdn.video-list.js"));
document.addEventListener('DOMContentLoaded', () => {
    eclipsefdn_members_list_1.default.render();
    eclipsefdn_newsroom_resources_1.default.render();
    eclipsefdn_participating_organizations_js_1.default.render();
    eclipsefdn_projects_js_1.default.render();
    eclipsefdn_video_list_js_1.default.render();
});
