"use strict";
/*!
 * Copyright (c) 2018 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Christopher Guindon <chris.guindon@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
 */
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// 3rd-party Dependencies
const jquery_1 = __importDefault(require("jquery"));
const feather_icons_1 = __importDefault(require("feather-icons"));
const eclipseFdnSolstice = (function ($, document) {
    // This code will prevent unexpected menu close when
    // using some components (like accordion, forms, etc).
    $(document).on('click', '.yamm .dropdown-menu', function (e) {
        e.stopPropagation();
    });
    // See sidebar blocks of Eclipse Marketplace for an example
    $('.solstice-collapse').click(function () {
        $(this).find('i').toggleClass('fa-chevron-down fa-chevron-up');
    });
    feather_icons_1.default.replace();
})(jquery_1.default, document);
exports.default = eclipseFdnSolstice;
